//
//  InputController.h
//  YKBookmarks
//
//  Created by KOYAMA Yoshiaki on Thu Feb 10 2005.
//  Copyright (c) 2005 KOYAMA Yoshiaki. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface InputController : NSObject {
	IBOutlet id _window;
	IBOutlet id _panel;

	IBOutlet id _title;
	IBOutlet id _url;
	IBOutlet id _comment;
			
	IBOutlet id _arrayBookmarksController;
}

- (IBAction)input:(id)sender;
- (void)sheetDidEnd:(NSWindow *)sheet 
            returnCode:(int)returnCode
            contextInfo:(void *)contextInfo;
- (IBAction)add:(id)sender;
- (IBAction)cancel:(id)sender;
- (IBAction)getInfoSafari:(id)sender;

- (NSString *)getInfo:(NSString *)scriptfile;

@end
